Bug 847248 - The error messages lack the domain name when destroy the domain name with applications.
The error messages lack the domain name when destroy the domain name with app...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 05:21 EDT by xjia
Modified: 2015-07-19 20:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_1974
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xjia 2012-08-10 05:21:25 EDT
Description of problem:
When destroy the domain with applications, there will be some error messages. But the messages show that the domain name is null.

Version-Release number of selected component (if applicable):
dev_env_1968
rhc (0.96.9)

How reproducible:
always

Steps to Reproduce:
1.Create a domain name:
rhc domain create -n test
2.Create an app successfully:
rhc app create -a php1 -t php-5.3
3.Destroy the domain.
rhc domain destroy -n test
  
Actual results:
Cannot remove namespace . Remove existing app(s) first: php1

Expected results:
Cannot remove namespace test. Remove existing app(s) first: php1

Additional info:

I find that the source code contains the domain name.

crankcase/stickshift/controller/lib/stickshift-controller/app/controllers/legacy_broker_controller.rb:             @reply.resultIO << "Cannot remove namespace #{@namespace}. Remove existing app(s) first: "
Comment 1 Dan McPherson 2012-08-10 10:37:32 EDT
https://github.com/openshift/crankcase/pull/358
Comment 2 xjia 2012-08-12 22:12:49 EDT
The problem has been solved.

Verify:
[root@jasontest ~]# rhc domain show -pad

User Info
=========
Namespace: dasf
  RHLogin: xjia


Application Info
================
php1
    Framework: php-5.3
     Creation: 2012-08-12T22:10:01-04:00
         UUID: 4f9a4dfccc72433187e1e4839403fa8c
      Git URL: ssh://4f9a4dfccc72433187e1e4839403fa8c@php1-dasf.dev.rhcloud.com/~/git/php1.git/
   Public URL: http://php1-dasf.dev.rhcloud.com/

 Embedded: 
      None

[root@jasontest ~]# rhc domain destroy -n dasf 
Password: *

Problem reported from server. Response code was 400.
Re-run with -d for more information.

RESULT:
Cannot remove namespace dasf. Remove existing app(s) first: php1

Note You need to log in before you can comment on or make changes to this bug.